#include <bits/stdc++.h>

using namespace std;

int main() {

    int n,m;
    cin>>n>>m;

    vector<string> x(n);
    for(auto &i:x)
        cin>>i;
    int cnt = 0;

    for(int i = 0 ; i<n; i++)
        for(int j = 0; j<m; j++)
            if(x[i][j]=='.')
                cnt++;
    if(cnt==n*m){
        for(int i = 0 ; i<n; i++)
            for(int j = i; j<m; j++){
                x[i][j]='C';
                break;
            }
    }

    else{
        cout<<-1;
        return 0;
    }

    for(int i = 0 ; i<n; i++){
        for(int j = 0; j<m; j++)
            cout<<x[i][j];
        cout<<endl;
    }

}